update a live event.md

Update a Live Event

Media API · Live Events

PATCH https://app.mk.io/api/v1/projects/{project_name}/media/liveEvents/{event_name}

Update a live event. Currently only properties.pipeline is patchable.

RBAC Capability Required: ams.liveevent.update

Authentication

Path parameters

Name Type Required Description
project_name string Yes
event_name string Yes

Request body

Content type: application/json

Example request

curl -X PATCH "https://app.mk.io/api/v1/projects/{project_name}/media/liveEvents/{event_name}" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
  "properties": {
    "pipeline": {
      "arguments": {
        "operation1": [
          {
            "name": "language",
            "value": "en-US"
          }
        ],
        "operation2": [
          {
            "name": "length",
            "value": "3.7m"
          }
        ]
      },
      "name": "string"
    }
  }
}'

Responses

200 — Updated

Example:

{
  "location": "string",
  "name": "name",
  "properties": {
    "created": "string",
    "crossSiteAccessPolicies": {
      "clientAccessPolicy": "string",
      "crossDomainPolicy": "string"
    },
    "description": "string",
    "encoding": {
      "encodingType": "None",
      "keyFrameInterval": "PT2S",
      "presetName": "string",
      "stretchMode": "None"
    },
    "hostnamePrefix": "string",
    "input": {
      "accessControl": {
        "ip": {
          "allow": [
            {
              "address": "string",
              "name": "string",
              "subnetPrefixLength": 0
            }
          ]
        }
      },
      "accessToken": "string",
      "endpoints": [
        {
          "protocol": "string",
          "url": "string"
        }
      ],
      "keyFrameIntervalDuration": "string",
      "streamingProtocol": "RTMP",
      "timedMetadataEndpoints": [
        {
          "url": "string"
        }
      ]
    },
    "lastModified": "string",
    "pipeline": {
      "arguments": {
        "operation1": [
          {
            "name": "language",
            "value": "en-US"
          }
        ],
        "operation2": [
          {
            "name": "length",
            "value": "3.7m"
          }
        ]
      },
      "name": "string"
    },
    "preview": {
      "accessControl": {
        "ip": {
          "allow": [
            {
              "address": "string",
              "name": "string",
              "subnetPrefixLength": 0
            }
          ]
        }
      },
      "alternativeMediaId": "string",
      "endpoints": [
        {
          "protocol": "string",
          "url": "string"
        }
      ],
      "previewLocator": "00000000-0000-0000-0000-000000000000",
      "streamingPolicyName": "Predefined_ClearStreamingOnly"
    },
    "provisioningState": "string",
    "resourceState": "Stopped",
    "streamOptions": [
      "string"
    ],
    "transcriptions": [
      null
    ],
    "useStaticHostname": true
  },
  "tags": {
    "key": "string"
  }
}

400 — Bad Request

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

401 — Unauthorized

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

403 — Forbidden

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

404 — Not Found

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

429 — Too Many Requests

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

500 — Internal Server Error

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}